<?php 
    function getTeamInfo($teams, $teamID) {
        if (array_key_exists($teamID, $teams)) {
            return $teams[$teamID];
        } else {
            return ["name" => "N/A"];
        }
    }
?>
<html>
<head>
    <title>ModDota - Tournament</title>
</head>
<body>
    <h1>Welcome to ModDota Tournament</h1>
    <p>Testing time</p>
    <p>Current active lobbies:</p>
    <table>
        <thead><tr>
            <th>Lobby ID</th>
            <th>Host</th>
            <th>Lobby Name</th>
            <th>League Name</th>
            <th>Team 2</th>
            <th>Team 3</th>
        </tr></thead>
        <tbody>
<?php
    //TODO: Make this an actual database connection or something, PWizzy knows what to do
    $lobbies = json_decode(file_get_contents("__lobby_table.json"), true);
    $teams = json_decode(file_get_contents("__team_table.json"), true);
    $users = json_decode(file_get_contents("__user_table.json"), true);
    $leagues = json_decode(file_get_contents("__league_table.json"), true);
    
    foreach($lobbies as $lobbyid => $lobby) {
        echo("          <tr>\r\n");
        echo("              <td>".$lobbyid."</td>\r\n");
        echo("              <td>".$users[$lobby["host"]]["name"]."</td>\r\n");
        echo("              <td>".$lobby["name"]."</td>\r\n");
        echo("              <td>".$leagues[$lobby["league"]]["name"]."</td>\r\n");
        echo("              <td>".getTeamInfo($teams, $lobby["team2"])["name"]."</td>\r\n");
        echo("              <td>".getTeamInfo($teams, $lobby["team3"])["name"]."</td>\r\n");
        echo("          </tr>\r\n");
    }
?>
        </tbody>
    </table>
</body>
</html>